[SCM] eclipse - Powerful IDE written in java - Debian package. branch, master, updated. 6bf22188e2fff362a99706b4ecc246a0fd89477d

Niels Thykier nthykier-guest at alioth.debian.org
Tue Oct 13 07:50:34 UTC 2009


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "eclipse - Powerful IDE written in java - Debian package.".

The branch, master has been updated
       via  6bf22188e2fff362a99706b4ecc246a0fd89477d (commit)
      from  7aacbce6d83ff6e6c5d008ea71ecce7742f7123a (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 6bf22188e2fff362a99706b4ecc246a0fd89477d
Author: Niels Thykier <niels at thykier.net>
Date:   Tue Oct 13 09:50:29 2009 +0200

    Patch to handle bashisms in e-b.

-----------------------------------------------------------------------

Summary of changes:
 debian/patches/bashisms.patch |  112 +++++++++++++++++++++++++++++++++++++++++
 debian/patches/series         |    1 +
 2 files changed, 113 insertions(+), 0 deletions(-)

diff --git a/debian/patches/bashisms.patch b/debian/patches/bashisms.patch
new file mode 100644
index 0000000..cec4176
--- /dev/null
+++ b/debian/patches/bashisms.patch
@@ -0,0 +1,112 @@
+Index: patches/eclipse-pde.build-add-package-build.patch
+===================================================================
+--- a/patches/eclipse-pde.build-add-package-build.patch	(revision 23419)
++++ b/patches/eclipse-pde.build-add-package-build.patch	(working copy)
+@@ -6,7 +6,7 @@
+ diff -N templates/package-build/prepare-build-dir.sh
+ --- /dev/null	1 Jan 1970 00:00:00 -0000
+ +++ templates/package-build/prepare-build-dir.sh	1 Jan 1970 00:00:00 -0000
+-@@ -0,0 +1,105 @@
++@@ -0,0 +1,111 @@
+ +#!/bin/sh
+ +
+ +if [ $# -lt 2 ]; then
+@@ -23,6 +23,12 @@
+ +BUILDDIR=$2
+ +TESTING=$3
+ +
+++if [ x$TESTING = xtrue ] ; then
+++   TESTING=1
+++elif [ x$TESTING = xfalse ] ; then
+++   TESTING=0
+++fi
+++
+ +echo "preparing files in $1 for buildfile generation ..."
+ +mkdir -p $BUILDDIR
+ +
+@@ -53,12 +59,12 @@
+ +  PROJECTDIR=$(dirname "$f")
+ +  inSDK=1
+ +  inSDK=$(echo $PROJECTDIR | grep -c $BUILDDIR)
+-+  if [ $inSDK == 0 ]; then
+++  if [ $inSDK = 0 ]; then
+ +    PROJECTNAME=$(ant -Dbasedir="$PROJECTDIR" -f $BUILDDIR/tmp/feature-build.xml 2>&1 | grep echo | cut --delimiter=' ' -f 7)
+ +    ERROR=""
+ +    if [ -z "$PROJECTNAME" ]; then
+-+      echo "ERROR: could not determine the feature id for $PROJECTDIR"
+-+      if [ $TESTING != true ]; then
+++      echo "ERROR: could not determine the feature id for $PROJECTDIR" >&2
+++      if [ $TESTING -ne 1 ]; then
+ +        exit 1
+ +      else
+ +        ERROR="yes"
+@@ -66,7 +72,7 @@
+ +    fi
+ +
+ +    if [ "x$ERROR" != "xyes" ]; then
+-+      if [[ $TESTING != true || `echo $PROJECTNAME | grep "org.eclipse"` ]]; then
+++      if [ $TESTING -ne 0 ] || echo $PROJECTNAME | grep "org.eclipse"` >/dev/null 2>&1 ; then
+ +        echo "  making symlink: $BUILDDIR/features/$PROJECTNAME -> $PROJECTDIR"
+ +        ln -sfT "$PROJECTDIR" $BUILDDIR/features/"$PROJECTNAME"
+ +      fi
+@@ -81,7 +87,7 @@
+ +  ERROR=""
+ +  inSDK=1
+ +  inSDK=$(echo $dir | grep -c $BUILDDIR)
+-+  if [ $inSDK == 0 ]; then
+++  if [ $inSDK = 0 ]; then
+ +    if [ -e "$dir/META-INF/MANIFEST.MF" ]; then
+ +      PROJECTNAME=$(grep Bundle-SymbolicName $dir/META-INF/MANIFEST.MF | cut --delimiter=';' -f 1 | cut --delimiter=' ' -f 2)
+ +    elif [ -e "$dir/plugin.xml" ]; then
+@@ -92,7 +98,7 @@
+ +
+ +    if [ -z "$PROJECTNAME"  ]; then
+ +      echo "ERROR: could not determine the plugin or fragment id for $dir"
+-+      if [ $TESTING != true ]; then
+++      if [ $TESTING -ne 0 ]; then
+ +        exit 1
+ +      else
+ +        ERROR="yes"
+@@ -100,7 +106,7 @@
+ +    fi
+ +
+ +    if [ "x$ERROR" != "xyes" ]; then
+-+      if [[ $TESTING != true || `echo $PROJECTNAME | grep "org.eclipse"` ]]; then
+++      if [ $TESTING -ne 0 ] || echo $PROJECTNAME | grep "org.eclipse" >/dev/null 2>&1; then
+ +        echo "  making symlink: $BUILDDIR/plugins/$PROJECTNAME -> $dir"
+ +        ln -sfT "$dir" $BUILDDIR/plugins/"$PROJECTNAME"
+ +      fi
+@@ -212,10 +218,10 @@
+ +   		plugin projects to be in the 'plugins' directory. The build infrastructure
+ +		normally arranges the projects during the fetch stage. Since we aren't doing
+ + 		the fetch stage, we have to manually arrange the files -->
+-+		<exec dir="${builder}" executable="/bin/sh">
+++		<exec dir="${builder}" executable="/bin/sh" failOnError="true">
+ +			<arg line="prepare-build-dir.sh ${sourceDirectory} ${buildDirectory} ${testing}" />
+ +		</exec>
+-+		<exec dir="${builder}" executable="/bin/sh">
+++		<exec dir="${builder}" executable="/bin/sh" failOnError="true" >
+ +		    <arg line="symlink-deps.sh ${buildDirectory} ${orbitDepsDir}" />
+ +		</exec>
+ +
+@@ -316,7 +322,8 @@
+ --- /dev/null	1 Jan 1970 00:00:00 -0000
+ +++ templates/package-build/symlink-deps.sh	1 Jan 1970 00:00:00 -0000
+ @@ -0,0 +1,21 @@
+-+#!/bin/sh -x
+++#!/bin/sh
+++set -x
+ +
+ +if [ $# -ne 2 ]; then
+ +  echo "usage: $0 <path to build dir> <dependencies>"
+@@ -331,9 +338,8 @@
+ +BUILDDIR=$1
+ +DEPENDENCIESDIR=$2
+ +
+-+pushd $BUILDDIR/plugins
+++cd $BUILDDIR/plugins
+ +  for dep in `ls $DEPENDENCIESDIR`; do
+ +      echo "ln -s $DEPENDENCIESDIR/$dep"
+ +      ln -s $DEPENDENCIESDIR/$dep
+ +  done
+-+popd
diff --git a/debian/patches/series b/debian/patches/series
index 2cfde95..77908ba 100644
--- a/debian/patches/series
+++ b/debian/patches/series
@@ -1,4 +1,5 @@
 eclipse-build.patch
 libgnomeproxy.patch
 gnomemakefile-patch.patch
+bashisms.patch
 fix-perm.patch


hooks/post-receive
-- 
eclipse - Powerful IDE written in java - Debian package.



More information about the pkg-java-commits mailing list